List an application's pull request reviews
import requests
url = "https://platform.ankra.app/api/v1/org/applications/{application_id}/pull-request-reviews"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/applications/{application_id}/pull-request-reviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/applications/{application_id}/pull-request-reviews \
--header 'Authorization: Bearer <token>'{
"reviews": [
{
"id": "<string>",
"provider": "<string>",
"repo_owner": "<string>",
"repo_name": "<string>",
"pull_request_number": 123,
"pull_request_title": "<string>",
"pull_request_url": "<string>",
"head_sha": "<string>",
"lane": "<string>",
"branch": "<string>",
"verdict": "<string>",
"summary": "<string>",
"findings": [
{
"severity": "<string>",
"file": "<string>",
"title": "<string>",
"detail": "<string>",
"line": 123,
"start_line": 123
}
],
"model": "<string>",
"created_at": "<string>"
}
],
"total": 123
}Applications
List an application's pull request reviews
The stored Ankra AI reviews of the application’s pull requests, newest first, with each review’s verdict and findings.
GET
/
api
/
v1
/
org
/
applications
/
{application_id}
/
pull-request-reviews
List an application's pull request reviews
import requests
url = "https://platform.ankra.app/api/v1/org/applications/{application_id}/pull-request-reviews"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/org/applications/{application_id}/pull-request-reviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/org/applications/{application_id}/pull-request-reviews \
--header 'Authorization: Bearer <token>'{
"reviews": [
{
"id": "<string>",
"provider": "<string>",
"repo_owner": "<string>",
"repo_name": "<string>",
"pull_request_number": 123,
"pull_request_title": "<string>",
"pull_request_url": "<string>",
"head_sha": "<string>",
"lane": "<string>",
"branch": "<string>",
"verdict": "<string>",
"summary": "<string>",
"findings": [
{
"severity": "<string>",
"file": "<string>",
"title": "<string>",
"detail": "<string>",
"line": 123,
"start_line": 123
}
],
"model": "<string>",
"created_at": "<string>"
}
],
"total": 123
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The application's id.
Query Parameters
How many reviews to return.
Required range:
1 <= x <= 20